### Method

# Shumate VectorValue get_number

since: 1.6

#### Declaration [src]

    gboolean
    shumate_vector_value_get_number (
      ShumateVectorValue* self,
      double* number
    )

#### Description [src]

Gets the number value of `self`.

Available since: 1.6

#### Parameters

`number`

  Type: `double*`

  A location to store the number value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `self` is a number value and `number` was set, `FALSE` otherwise.